How can I help you?
BackgroundColor
6 Feb 20261 minute to read
Configures the background color settings of the RichTextEditor.
Properties
colorCode { [key: string]: string[] }
Specifies custom color codes.
Defaults to backgroundColor
columns number
Specifies the number of columns in the color palette.
Defaults to 10
default string
Specifies the default background color.
Defaults to ‘#ffff00’
mode ColorModeType
Specifies the color mode.
Defaults to ‘Palette’
modeSwitcher boolean
Enables or disables the mode switcher button.
Defaults to false
showRecentColors boolean
Indicates whether the recent colors section is shown in the toolbar’s backgroundColor.
This property enables the section in the toolbar’s font color picker that displays the recently selected colors for quick access.
This will allow quick re-use of colors that were recently selected, saving time and improving efficiency.
import { Component } from '@angular/core';
import { ToolbarService, LinkService, RichTextEditorModule, HtmlEditorService, QuickToolbarService, ImageService, TableService } from '@syncfusion/ej2-angular-richtexteditor';
@Component({
selector: 'app-root',
template: " <ejs-richtexteditor [toolbarSettings]='tools' [backgroundColor]='backgroundColor' ></ejs-richtexteditor>",
providers: [ ToolbarService, HtmlEditorService, QuickToolbarService, TableService,
LinkService, ImageService],
standalone: true,
imports: [RichTextEditorModule]
})
export class AppComponent {
public backgroundColor: BackgroundColorModel = { columns: 2, colorCode: { 'Custom': ['#ffff00', '#008000', '#800080', '#800000', '#808000', '#c0c0c0', '#000000','']}, showRecentColors: true, modeSwitcher: false };
public tools = {
items: [ 'BackgroundColor' ]
};
}Defaults to true

BackgroundColor

6 Feb 20261 minute to read

Configures the background color settings of the RichTextEditor.

Properties

colorCode { [key: string]: string[] }

Specifies custom color codes.

Defaults to backgroundColor

columns number

Specifies the number of columns in the color palette.

Defaults to 10

default string

Specifies the default background color.

Defaults to ‘#ffff00’

mode ColorModeType

Specifies the color mode.

Defaults to ‘Palette’

modeSwitcher boolean

Enables or disables the mode switcher button.

Defaults to false

showRecentColors boolean

Indicates whether the recent colors section is shown in the toolbar’s backgroundColor.
This property enables the section in the toolbar’s font color picker that displays the recently selected colors for quick access.
This will allow quick re-use of colors that were recently selected, saving time and improving efficiency.

import * as React from 'react';
import { RichTextEditorComponent, Toolbar, Inject, Image, Link, HtmlEditor, Table, QuickToolbar } from '@syncfusion/ej2-react-richtexteditor';

function App() {
  const toolbarSettings = {
    items: ['BackgroundColor'],
  };
  const backgroundColor = {
    columns: 2,
    colorCode: {
      Custom: [
        '#ffff00',
        '#008000',
        '#800080',
        '#800000',
        '#808000',
        '#c0c0c0',
        '#000000',
        '',
      ],
    },
    showRecentColors: true,
    modeSwitcher: false
  };
  return (
    <div >
        <RichTextEditorComponent toolbarSettings={toolbarSettings} backgroundColor={backgroundColor}>
            <Inject services={[Link, Image, HtmlEditor, Toolbar, Table, QuickToolbar]}/>
        </RichTextEditorComponent>
    </div>
  );
}

Defaults to true